_grk_image_meta Struct Reference

`#include <grok.h>`

Inheritance diagram for _grk_image_meta:

## Public Attributes

grk_object | obj
grk_color | color
uint8_t * | iptc_buf
size_t | iptc_len
uint8_t * | xmp_buf
size_t | xmp_len

## Member Data Documentation

## color

grk_color _grk_image_meta::color

Referenced by grk::GrkImageMeta::allocPalette(), grk::GrkImage::apply_channel_definition(), grk::GrkImage::apply_palette_clr(), grk::GrkImage::applyColour(), grk::GrkImage::applyColourManagement(), grk::GrkImage::applyICC(), grk::GrkImage::check_color(), grk::GrkImage::cieLabToRGB(), grk::FileFormatCompress::getColour(), grk::FileFormatDecompress::getColour(), grk::GrkImageMeta::GrkImageMeta(), grk::GrkImage::postReadHeader(), grk::GrkImageMeta::releaseColor(), grk::GrkImageMeta::releaseColorPalatte(), grk::GrkImage::supportsStripCache(), and grk::GrkImage::validateICC().

## iptc_buf

uint8_t* _grk_image_meta::iptc_buf

Referenced by grk::GrkImageMeta::GrkImageMeta(), grk::FileFormatCompress::init(), and grk::GrkImageMeta::~GrkImageMeta().

## iptc_len

size_t _grk_image_meta::iptc_len

Referenced by grk::GrkImageMeta::GrkImageMeta(), and grk::FileFormatCompress::init().

## obj

grk_object _grk_image_meta::obj

Referenced by grk::GrkImageMeta::GrkImageMeta(), and grk::GrkImage::~GrkImage().

## xmp_buf

uint8_t* _grk_image_meta::xmp_buf

Referenced by grk::GrkImageMeta::GrkImageMeta(), grk::FileFormatCompress::init(), and grk::GrkImageMeta::~GrkImageMeta().

## xmp_len

size_t _grk_image_meta::xmp_len

Referenced by grk::GrkImageMeta::GrkImageMeta(), and grk::FileFormatCompress::init().

The documentation for this struct was generated from the following file:

- grok.h